//
// card
// ce_card
//

// notes
// [1] mixins/general -> box-shadow()

// variables
$card-container-radius: $base-border-radius;
$card-body-padding: $base-spacing-unit-md;
$card-body-background: $color-bg-light;

// style
.card-container {
  overflow: hidden;
  position: relative;
  border-radius: $card-container-radius;
  @include transition;
  @include box-shadow(1); // [1]

  &:hover {
    @include box-shadow(2); // [1]
  }
}

.card-image {
  .card & figure.float_below {
    margin-top: 0;
  }

  .card & figure.float_above {
    margin-bottom: 0;
  }

  img {
    width: 100%;
  }
}

.card-body {
  padding: $card-body-padding;
  background: $card-body-background;
}

.card-hyperlink {
  position: relative;
  z-index: 1;
}

.card-container-link {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
}
